spring:
  profiles:
    active: ${APP_PROFILE:dev}
  application:
    name: cctp-pcui-designer


---
spring:
  profiles: dev
  cloud:
    nacos:
      discovery:
        namespace: ${NACOS_NAMESPACE:UI-DEV}
        server-addr: ${NACOS_SERVER_URL:158.1.12.237:8848}
      config:
        enabled: true
        namespace: ${spring.cloud.nacos.discovery.namespace}
        # 配置中心地址
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        # 配置文件格式
        file-extension: yml
        # 长轮询的超时时间
        config-long-poll-timeout: ${NACOS_LONG_POLL_TIMEOUT:180000}
        # 共享配置
        shared-configs[0]:
          data_id: application-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
        shared-configs[1]:
          data_id: ats-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true

---
spring:
  profiles: test
  cloud:
    nacos:
      discovery:
        namespace: ${NACOS_NAMESPACE:UI-test}
        server-addr: ${NACOS_SERVER_URL:197.68.24.40:8848}
      config:
        enabled: true
        namespace: ${spring.cloud.nacos.discovery.namespace}
        # 配置中心地址
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        # 配置文件格式
        file-extension: yml
        # 长轮询的超时时间
        config-long-poll-timeout: ${NACOS_LONG_POLL_TIMEOUT:180000}
        # 共享配置
        shared-configs[0]:
          data_id: application-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
        shared-configs[1]:
          data_id: ats-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
---
spring:
  profiles: uat
  cloud:
    nacos:
      discovery:
        namespace: ${NACOS_NAMESPACE:UI-uat}
        server-addr: ${NACOS_SERVER_URL:197.68.31.132:8848}
      config:
        enabled: true
        namespace: ${spring.cloud.nacos.discovery.namespace}
        # 配置中心地址
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        # 配置文件格式
        file-extension: yml
        # 长轮询的超时时间
        config-long-poll-timeout: ${NACOS_LONG_POLL_TIMEOUT:180000}
        # 共享配置
        shared-configs[0]:
          data_id: application-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
        shared-configs[1]:
          data_id: ats-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
---
spring:
  profiles: prod
  cloud:
    nacos:
      discovery:
        namespace: ${NACOS_NAMESPACE:UI-prod}
        server-addr: ${NACOS_SERVER_URL:197.68.31.194:8848}
      config:
        enabled: true
        namespace: ${spring.cloud.nacos.discovery.namespace}
        # 配置中心地址
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        # 配置文件格式
        file-extension: yml
        # 长轮询的超时时间
        config-long-poll-timeout: ${NACOS_LONG_POLL_TIMEOUT:180000}
        # 共享配置
        shared-configs[0]:
          data_id: application-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
        shared-configs[1]:
          data_id: ats-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true